Bug Hunting Session
Bug 35304 - 3D transparency background foreground confusion
Summary: 3D transparency background foreground confusion
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
3.3.1 release
Hardware: All All
: medium trivial
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Chart
  Show dependency treegraph
 
Reported: 2011-03-14 08:39 UTC by sasha.libreoffice
Modified: 2018-06-05 02:38 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
bottom of walls becomes seen clearly (111.64 KB, application/vnd.oasis.opendocument.spreadsheet)
2011-03-14 08:39 UTC, sasha.libreoffice
Details
Demo, see Comment 1 (649.26 KB, application/vnd.oasis.opendocument.presentation)
2011-03-15 00:20 UTC, Rainer Bielefeld Retired
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sasha.libreoffice 2011-03-14 08:39:38 UTC
Created attachment 44440 [details]
bottom of walls becomes seen clearly

in Calc when used transparency in diagram, it looks different as expexted.
in attached document is diagram. it haves left and rear walls filled with gradient so that bottom of walls becomes unseen. And it indeed unseen. But behind half-transparent bars of diagram bottom of walls becomes seen clearly.
I expect that transparent bottom of wall will unseen in all places.

produced on Mandriva 64 bit and Windows XP 32 bit using LibreOffice 3.3.1.2 and 3.3.2.1rc1
Comment 1 Rainer Bielefeld Retired 2011-03-15 00:16:31 UTC
[Reproducible] with "LibreOffice 3.3.2RC1  – WIN7  Home Premium  (64bit) English UI [OOO330m19 (Build:201 / tag 3.3.2.1)]", 

64 bit AMD Phenom II X4 955 Processor 32.2 GHz, 4GB RAM, 
Graphic Card: NVIDIA GeForce GT 430

View reminds a little to drawings of M. C. Escher.

I will attach a demo with screenshots
Comment 2 Rainer Bielefeld Retired 2011-03-15 00:20:32 UTC
Created attachment 44462 [details]
Demo, see Comment 1
Comment 3 Björn Michaelsen 2011-12-23 11:51:48 UTC Comment hidden (obsolete)
Comment 4 sasha.libreoffice 2011-12-28 22:37:47 UTC
remains in LibO 3.5.0 beta 1
Comment 5 Rainer Bielefeld Retired 2011-12-28 23:24:53 UTC
<http://wiki.documentfoundation.org/BugReport_Details#Version>

@Kohei:
Please feel free to reassign (or reset Assignee to default) if it’s not your area or if provided information is not sufficient. Please set Status to ASSIGNED if you accept this Bug.
Comment 6 A (Andy) 2015-02-07 21:55:21 UTC
Reproducible with LO 4.4.0.3, Win 8.1
Comment 7 QA Administrators 2016-02-21 08:37:07 UTC Comment hidden (obsolete)
Comment 8 QA Administrators 2017-03-06 15:44:25 UTC Comment hidden (obsolete)
Comment 9 Thomas Lendo 2017-06-04 21:13:20 UTC
Reproduced in 5.5.0.0.alpha0+
Build-ID: b08217989558addbcaded122a4e7211ae24bbcff
CPU-Threads: 4; Betriebssystem:Linux 4.8; UI-Render: Standard; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-05-31_06:36:03
Comment 10 QA Administrators 2018-06-05 02:38:56 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug